Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerGeneralInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerGeneralInfo

All Implemented Interfaces:
  TCPIPServerGeneralInfoInterface

    public class TCPIPServerGeneralInfo

extends java.lang.Object
implements TCPIPServerGeneralInfoInterface

This class represents general TCPIP server configuration information.

Version:
  cvs revision: $Revision: 1.8 $ Last Modified: $Date: 2008/04/23 07:15:23 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerGeneralInfo()` Constructor for TCPIPServerGeneralInfo.
`TCPIPServerGeneralInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPServerGeneralInfo.

Method Summary
`boolean` | `getDedicatedSessionMode()` Returns the dedicatedSessionMode.
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`int` | `getMaxDataSize()` Returns the maxDataSize.
`java.lang.String` | `getPersistenceStateFileLocation()`
`java.lang.String` | `getScopeOfState()`
`boolean` | `isCollaborationScopeOfState()`
`boolean` | `isConnectionScopeOfState()`
`boolean` | `isOtdScopeOfState()`
`boolean` | `isPersistenceScopeOfState()`
`boolean` | `isResourceAdapterScopeOfState()`
`void` | `setDedicatedSessionMode(boolean dedicatedSessionMode)` Sets the dedicatedSessionMode.
`void` | `setMaxDataSize(int maxDataSize)` Sets the maxDataSize.
`void` | `setPersistenceStateFileLocation(java.lang.String string)`
`void` | `setScopeOfState(java.lang.String string)`
`void` | `validate()` Validates the socket configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerGeneralInfo

    public TCPIPServerGeneralInfo()
                           throws TCPIPApplicationException

  Constructor for TCPIPServerGeneralInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPServerGeneralInfo

    public TCPIPServerGeneralInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                           throws TCPIPApplicationException

  Constructor for TCPIPServerGeneralInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getMaxDataSize

    public int getMaxDataSize()

  Returns the maxDataSize. This size defines the max size of data which the programs can hold/process internally. The valid range is from 1 to 2GB (the max value of java integer).

  Specified by:
    `getMaxDataSize` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    int

### setMaxDataSize

    public void setMaxDataSize(int maxDataSize)
                        throws TCPIPApplicationException

  Sets the maxDataSize. This size defines the max size of data which the programs can hold/process internally. The valid range is from 1 to 2GB (the max value of java integer).

  Specified by:
    `setMaxDataSize` in interface `TCPIPServerGeneralInfoInterface`
  Parameters:
    `maxDataSize` - The maxDataSize to set
  Throws:
    `TCPIPApplicationException` - on error

### getDedicatedSessionMode

    public boolean getDedicatedSessionMode()

  Returns the dedicatedSessionMode.

  Specified by:
    `getDedicatedSessionMode` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    boolean

### setDedicatedSessionMode

    public void setDedicatedSessionMode(boolean dedicatedSessionMode)

  Sets the dedicatedSessionMode.

  Parameters:
    `dedicatedSessionMode` - The dedicatedSessionMode to set

### isPersistenceScopeOfState

    public boolean isPersistenceScopeOfState()

  Specified by:
    `isPersistenceScopeOfState` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    boolean

### isResourceAdapterScopeOfState

    public boolean isResourceAdapterScopeOfState()

  Specified by:
    `isResourceAdapterScopeOfState` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    boolean

### isConnectionScopeOfState

    public boolean isConnectionScopeOfState()

  Specified by:
    `isConnectionScopeOfState` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    boolean

### isCollaborationScopeOfState

    public boolean isCollaborationScopeOfState()

  Specified by:
    `isCollaborationScopeOfState` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    boolean

### isOtdScopeOfState

    public boolean isOtdScopeOfState()

  Specified by:
    `isOtdScopeOfState` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    boolean

### getScopeOfState

    public java.lang.String getScopeOfState()

  Specified by:
    `getScopeOfState` in interface `TCPIPServerGeneralInfoInterface`
  Returns:
    String

### setScopeOfState

    public void setScopeOfState(java.lang.String string)
                         throws TCPIPApplicationException

  Parameters:
    `string` -
  Throws:
    `TCPIPApplicationException` - on error

### getPersistenceStateFileLocation

    public java.lang.String getPersistenceStateFileLocation()

  Returns:
    String

### setPersistenceStateFileLocation

    public void setPersistenceStateFileLocation(java.lang.String string)

  Parameters:
    `string` - the persistence state file location

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the socket configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD